#!/bin/bash

alias_block=''

#Create Server Alias Block
if [ ! -z $serveralias ]; then
  for alias in $(echo $serveralias | tr ',' ' ')
    do 
      alias_block=$alias_block"ServerAlias $alias
      "
    done
fi

cat <<EOF > /etc/nginx/conf.d/$domain.conf

# Upstream to abstract backend connection(s) for php
upstream php {
        server unix:/run/php-fpm/www.sock;
}

server {
        ## Your website name goes here.
        listen 80 default_server;
        server_name _;
        #server_name $domain;
        ## Your only path reference.
        root /home/$user/public_html;
        ## This should be in your http block and if it is, it's not needed here.
        index index.php;

        location = /favicon.ico {
                log_not_found off;
                access_log off;
        }

        location = /robots.txt {
                allow all;
                log_not_found off;
                access_log off;
        }

        location / {
                # This is cool because no php is touched for static content.
                # include the "?\$args" part so non-default permalinks doesn't break when using query string
                try_files \$uri \$uri/ /index.php?\$args;
        }

        location ~ \.php$ {
                #NOTE: You should have "cgi.fix_pathinfo = 0;" in php.ini
                include fastcgi_params;
                fastcgi_intercept_errors on;
                fastcgi_pass php;
                #The following parameter can be also included in fastcgi_params file
                fastcgi_param  SCRIPT_FILENAME \$document_root\$fastcgi_script_name;
        }

        location ~* \.(js|css|png|jpg|jpeg|gif|ico)$ {
                expires max;
                log_not_found off;
        }
}


EOF